List customer tasks
curl --request GET \
--url https://platform.swipelux.com/v3/customers/{customerId}/tasks \
--header 'X-API-Key: <api-key>'import requests
url = "https://platform.swipelux.com/v3/customers/{customerId}/tasks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://platform.swipelux.com/v3/customers/{customerId}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"customerId": "<string>",
"scope": {
"type": "<string>",
"id": "<string>"
},
"subject": {
"type": "<string>",
"id": "<string>"
},
"category": "<string>",
"revision": 2,
"remediationRound": 1,
"reason": {
"code": "<string>",
"message": "<string>",
"requestedBy": "<string>"
},
"dueAt": "2023-11-07T05:31:56Z",
"deadline": {
"at": "2023-11-07T05:31:56Z",
"noticeCount": 1
},
"notices": [
{
"at": "2023-11-07T05:31:56Z",
"type": "<string>",
"noticeCount": 1
}
],
"requirements": [
{
"id": "<string>",
"key": "<string>",
"request": {
"type": "profile",
"prompt": "<string>",
"required": true,
"profilePointer": "<string>",
"allowsAbsence": true,
"itemValueType": "<string>",
"constraints": {
"minLength": 1,
"maxLength": 2,
"pattern": "<string>"
}
},
"section": "<string>",
"reviewFeedback": {
"code": "<string>",
"message": "<string>"
}
}
],
"verificationSessions": [
{
"id": "<string>",
"key": "<string>",
"type": "<string>"
}
],
"tosSessions": [
{
"id": "<string>",
"key": "<string>",
"type": "<string>"
}
],
"completionPolicy": {
"completion": "all"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"originGroupId": "<string>"
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"transferId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"id": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "unauthorized",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"transferId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"id": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "forbidden",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"transferId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"id": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "customer_not_found",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"transferId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"id": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "internal_error",
"detail": "<string>",
"correlationId": "<string>",
"retryable": true,
"transferId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"id": "<string>"
}
]
}Tasks
List customer tasks
Lists customer-owned tasks with URL-free verification-session summaries.
List customer tasks
Authorizations
Your Swipelux API key. Obtain this from the Swipelux Dashboard.
Path Parameters
Customer identifier.
Minimum string length:
1Query Parameters
Opaque cursor returned as nextCursor from the previous page.
Maximum number of records to return. Defaults to 25.
Required range:
1 <= x <= 100Return only tasks with this closed status.
Available options:
action_required, in_review, satisfied, rejected, canceled Return only tasks with this scope type.
Return only tasks in this open category.
Return only tasks whose originGroupId exactly equals this opaque correlation value.
Return only tasks due before this strict RFC 3339 timestamp.
Return only records updated at or after this RFC 3339 timestamp. Use it to recover from missed webhooks by replaying a window of changes.
Related topics
Individual onboarding API workflowCapabilities and requirementsList tasksList task submissionsList task history⌘I